/*
 *  kwin_31.h  -  KWin class compatibility for KDE 3.1 and earlier
 *  Program:  kalarm
 *  Copyright (c) 2003,2007 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __kwin_31_h__
#define __kwin_31_h__

#ifdef KWin
#undef KWin
#endif

#include <kwin.h>

class KWin_31 : public KWin
{
public:
  class WindowInfo
  {
    public:
      WindowInfo(Info i) : info(i) {}
      int desktop() const { return info.desktop; }
    private:
      Info info;
  };
  static void activateWindow(WId win)  { setActiveWindow(win); }
  static WindowInfo windowInfo(WId win, unsigned long) { return WindowInfo(info(win)); }
};

#define KWin KWin_31

#endif
