/*
 *  netaccess_31.h  -  kdelibs KIO::NetAccess class for KDE < 3.2 compatibility
 *  Program:  kalarm
 *  Copyright (C) 2003, 2004 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __kio_netaccess_31_h__
#define __kio_netaccess_31_h__

#ifdef NetAccess
#undef NetAccess
#endif

#include <kdeversion.h>
#include <kio/netaccess.h>

namespace KIO
{

class NetAccess_31 : public KIO::NetAccess
{
  public:
    static bool download(const KURL& src, QString& target, QWidget*)     { return KIO::NetAccess::download(src, target); }
    static bool upload(const QString& src, const KURL& target, QWidget*) { return KIO::NetAccess::upload(src, target); }
#if KDE_VERSION >= 308
    static bool exists(const KURL& url, bool source, QWidget*)           { return KIO::NetAccess::exists(url, source); }
#else
#if KDE_VERSION >= 290
    static bool exists(const KURL& url, bool, QWidget*)                  { return KIO::NetAccess::exists(url); }
#else
    // Fix bug in KDE 2.2 KIO::NetAccess::exists() by duplicating it
    static bool exists(const KURL& url, bool, QWidget*)                  { return KIO::NetAccess::exists(url) && KIO::NetAccess::exists(url); }
#endif
#endif
    static bool stat(const KURL& url, KIO::UDSEntry& entry, QWidget*)    { return KIO::NetAccess::stat(url, entry); }
};

}

#define NetAccess NetAccess_31

#endif
